<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
ansible
</p>
<p>Provides methods to manage Ansible systems</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#createAnsiblePath"/>createAnsiblePath</a></li>
<li><a href="#discoverPlaybooks"/>discoverPlaybooks</a></li>
<li><a href="#fetchPlaybookContents"/>fetchPlaybookContents</a></li>
<li><a href="#introspectInventory"/>introspectInventory</a></li>
<li><a href="#listAnsiblePaths"/>listAnsiblePaths</a></li>
<li><a href="#lookupAnsiblePathById"/>lookupAnsiblePathById</a></li>
<li><a href="#removeAnsiblePath"/>removeAnsiblePath</a></li>
<li><a href="#schedulePlaybook"/>schedulePlaybook</a></li>
<li><a href="#schedulePlaybook"/>schedulePlaybook</a></li>
<li><a href="#schedulePlaybook"/>schedulePlaybook</a></li>
<li><a href="#schedulePlaybook"/>schedulePlaybook</a></li>
<li><a href="#updateAnsiblePath"/>updateAnsiblePath</a></li>
</ul>
</div>
<hr />

<h3> <a name="createAnsiblePath" href="#top">Method: createAnsiblePath</a></h3>
Description:<br />
Create ansible path
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    int pathId - path id
 </li>
<li>

	     struct - props
	<ul>
          <li> string "type" - The ansible path type: 'inventory' or 'playbook' </li>
          <li> int "server_id" - ID of control node server </li>
          <li> string "path" - The local path to inventory/playbook </li>
  	</ul>
 </li>
</ul>
<p />
Returns:
<code><ul><li>




	     struct - ansible path
	<ul>
     	<li> int "path id"</li>
     	<li> string "type label"</li>
     	<li> int "id of the ansible control node system"</li>
     	<li> string "local path to inventory or playbook"</li>
   	</ul>
  
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="discoverPlaybooks" href="#top">Method: discoverPlaybooks</a></h3>
Description:<br />
Discover playbooks under given playbook path with given pathId
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    int pathId - path id
 </li>
</ul>
<p />
Returns:
<code><ul><li>


	     struct - playbooks
	<ul>
     	     struct - playbook
	<ul>
         

	     struct - ansible path
	<ul>
     	<li> int "path id"</li>
     	<li> string "type label"</li>
     	<li> int "id of the ansible control node system"</li>
     	<li> string "local path to inventory or playbook"</li>
   	</ul>
 
     	</ul>
 	</ul>
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="fetchPlaybookContents" href="#top">Method: fetchPlaybookContents</a></h3>
Description:<br />
Fetch the playbook content from the control node using a synchronous salt call.
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    int pathId - playbook path id
 </li>
<li>

    string playbookRelPath - relative path of playbook (inside path specified by
 pathId)
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    string contents - Text contents of the playbook
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="introspectInventory" href="#top">Method: introspectInventory</a></h3>
Description:<br />
Introspect inventory under given inventory path with given pathId and return it in a structured way
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    int pathId - path id
 </li>
</ul>
<p />
Returns:
<code><ul><li>


	     struct - Inventory in a nested structure
	<ul>
       object Inventory item - Inventory item (can be nested)
 	</ul>
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="listAnsiblePaths" href="#top">Method: listAnsiblePaths</a></h3>
Description:<br />
List ansible paths for server (control node)
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    int controlNodeId - id of ansible control node server
 </li>
</ul>
<p />
Returns:
<code><ul><li>


array:
  <ul>
   <li>
 

	     struct - ansible path
	<ul>
     	<li> int "path id"</li>
     	<li> string "type label"</li>
     	<li> int "id of the ansible control node system"</li>
     	<li> string "local path to inventory or playbook"</li>
   	</ul>
 
 </li></ul>
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="lookupAnsiblePathById" href="#top">Method: lookupAnsiblePathById</a></h3>
Description:<br />
Lookup ansible path by path id
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    int pathId - path id
 </li>
</ul>
<p />
Returns:
<code><ul><li>




	     struct - ansible path
	<ul>
     	<li> int "path id"</li>
     	<li> string "type label"</li>
     	<li> int "id of the ansible control node system"</li>
     	<li> string "local path to inventory or playbook"</li>
   	</ul>
  
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="removeAnsiblePath" href="#top">Method: removeAnsiblePath</a></h3>
Description:<br />
Create ansible path
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    int pathId - path id
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="schedulePlaybook" href="#top">Method: schedulePlaybook</a></h3>
Description:<br />
Schedule a playbook execution
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
<li>

    string playbookPath
 </li>
<li>

    string inventoryPath - path to Ansible inventory or empty
 </li>
<li>

    int controlNodeId - system ID of the control node
 </li>
<li>

    dateTime.iso8601 earliestOccurrence - earliest the execution command can be sent to the control node. ignored when actionChainLabel is used
 </li>
<li>

    string actionChainLabel - label of an action chain to use, or None
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int id - ID of the playbook execution action created
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="schedulePlaybook" href="#top">Method: schedulePlaybook</a></h3>
Description:<br />
Schedule a playbook execution
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
<li>

    string playbookPath
 </li>
<li>

    string inventoryPath - path to Ansible inventory or empty
 </li>
<li>

    int controlNodeId - system ID of the control node
 </li>
<li>

    dateTime.iso8601 earliestOccurrence - earliest the execution command can be sent to the control node. ignored when actionChainLabel is used
 </li>
<li>

    string actionChainLabel - label of an action chain to use, or None
 </li>
<li>

    boolean testMode - 'true' if the playbook shall be executed in test mode
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int id - ID of the playbook execution action created
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="schedulePlaybook" href="#top">Method: schedulePlaybook</a></h3>
Description:<br />
Schedule a playbook execution
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
<li>

    string playbookPath
 </li>
<li>

    string inventoryPath - path to Ansible inventory or empty
 </li>
<li>

    int controlNodeId - system ID of the control node
 </li>
<li>

    dateTime.iso8601 earliestOccurrence - earliest the execution command can be sent to the control node. ignored when actionChainLabel is used
 </li>
<li>

    string actionChainLabel - label of an action chain to use, or None
 </li>
<li>

	     struct - ansibleArgs
	<ul>
         	<li> boolean "flushCache"</li>
     	</ul>
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int id - ID of the playbook execution action created
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="schedulePlaybook" href="#top">Method: schedulePlaybook</a></h3>
Description:<br />
Schedule a playbook execution
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
<li>

    string playbookPath
 </li>
<li>

    string inventoryPath - path to Ansible inventory or empty
 </li>
<li>

    int controlNodeId - system ID of the control node
 </li>
<li>

    dateTime.iso8601 earliestOccurrence - earliest the execution command can be sent to the control node. ignored when actionChainLabel is used
 </li>
<li>

    string actionChainLabel - label of an action chain to use, or None
 </li>
<li>

    boolean testMode - 'true' if the playbook shall be executed in test mode
 </li>
<li>

	     struct - ansibleArgs
	<ul>
         	<li> boolean "flushCache"</li>
     	</ul>
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int id - ID of the playbook execution action created
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="updateAnsiblePath" href="#top">Method: updateAnsiblePath</a></h3>
Description:<br />
Create ansible path
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    int pathId - path id
 </li>
<li>

	     struct - props
	<ul>
          <li> string "path" - The local path to inventory/playbook </li>
  	</ul>
 </li>
</ul>
<p />
Returns:
<code><ul><li>




	     struct - ansible path
	<ul>
     	<li> int "path id"</li>
     	<li> string "type label"</li>
     	<li> int "id of the ansible control node system"</li>
     	<li> string "local path to inventory or playbook"</li>
   	</ul>
  
 
</li></ul>
</code>
<p />
<hr />
</body>
</html>
