<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
sync.content
</p>
<p>Provides the namespace for the content synchronization methods.</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#addChannel"/>addChannel</a></li>
<li><a href="#addChannels"/>addChannels</a></li>
<li><a href="#addCredentials"/>addCredentials</a></li>
<li><a href="#deleteCredentials"/>deleteCredentials</a></li>
<li><a href="#listChannels"/>listChannels</a></li>
<li><a href="#listCredentials"/>listCredentials</a></li>
<li><a href="#listProducts"/>listProducts</a></li>
<li><a href="#synchronizeChannelFamilies"/>synchronizeChannelFamilies</a></li>
<li><a href="#synchronizeChannels"/>synchronizeChannels</a></li>
<li><a href="#synchronizeProducts"/>synchronizeProducts</a></li>
<li><a href="#synchronizeRepositories"/>synchronizeRepositories</a></li>
<li><a href="#synchronizeSubscriptions"/>synchronizeSubscriptions</a></li>
</ul>
</div>
<hr />

<h3> <a name="addChannel" href="#top">Method: addChannel</a></h3>
Description:<br />
Add a new channel to the Uyuni database
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey - Session token, issued at login
 </li>
<li>

    string channelLabel - Label of the channel to add
 </li>
<li>

    string mirrorUrl - Sync from mirror temporarily
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="addChannels" href="#top">Method: addChannels</a></h3>
Description:<br />
Add a new channel to the Uyuni database
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey - Session token, issued at login
 </li>
<li>

    string channelLabel - Label of the channel to add
 </li>
<li>

    string mirrorUrl - Sync from mirror temporarily
 </li>
</ul>
<p />
Returns:
<code><ul><li>


array:
<ul>
    <li>string - enabled channel labels</li>
</ul>
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="addCredentials" href="#top">Method: addCredentials</a></h3>
Description:<br />
Add organization credentials (mirror credentials) to Uyuni.
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey - Session token, issued at login
 </li>
<li>

    string username - Organization credentials
                                                  (Mirror credentials) username
 </li>
<li>

    string password - Organization credentials
                                                  (Mirror credentials) password
 </li>
<li>

    boolean primary - Make this the primary credentials
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="deleteCredentials" href="#top">Method: deleteCredentials</a></h3>
Description:<br />
Delete organization credentials (mirror credentials) from Uyuni.
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey - Session token, issued at login
 </li>
<li>

    string username - Username of credentials to delete
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="listChannels" href="#top">Method: listChannels</a></h3>
Description:<br />
List all accessible channels.
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey - Session token, issued at login
 </li>
</ul>
<p />
Returns:
<code><ul><li>


array:
  <ul>
   <li>
                       

	     struct - channel
	<ul>
         <li> string "arch" - Architecture of the channel </li>
         <li> string "description" - Description of the channel </li>
         <li> string "family" - Channel family label </li>
         <li> boolean "is_signed" - Channel has signed metadata </li>
         <li> string "label" - Label of the channel </li>
         <li> string "name" - Name of the channel </li>
         <li> boolean "optional" - Channel is optional </li>
         <li> string "parent" - The label of the parent channel </li>
         <li> string "product_name" - Product name </li>
         <li> string "product_version" - Product version </li>
         <li> string "source_url" - Repository source URL </li>
         <li> string "status" - Status: available, unavailable or installed </li>
         <li> string "summary" - Channel summary </li>
         <li> string "update_tag" - Update tag </li>
         <li> boolean "installer_updates" - is an installer update channel </li>
   	</ul>
 
                    </li></ul>
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="listCredentials" href="#top">Method: listCredentials</a></h3>
Description:<br />
List organization credentials (mirror credentials) available in
             Uyuni.
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey - Session token, issued at login
 </li>
</ul>
<p />
Returns:
<code><ul><li>


array:
  <ul>
   <li>
                       

	     struct - credentials
	<ul>
         <li> int "id" - ID of the credentials </li>
         <li> string "user" - username </li>
         <li> boolean "isPrimary" - primary </li>
   	</ul>
 
                    </li></ul>
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="listProducts" href="#top">Method: listProducts</a></h3>
Description:<br />
List all accessible products.
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey - Session token, issued at login
 </li>
</ul>
<p />
Returns:
<code><ul><li>


array:
  <ul>
   <li>
                       

	     struct - product
	<ul>
         <li> string "friendly_name" - Friendly name of the product </li>
         <li> string "arch" - Architecture </li>
         <li> string "status" - 'available', 'unavailable' or 'installed' </li>
     array:
  <ul>
   <li>
       

	     struct - channel
	<ul>
         <li> string "arch" - Architecture of the channel </li>
         <li> string "description" - Description of the channel </li>
         <li> string "family" - Channel family label </li>
         <li> boolean "is_signed" - Channel has signed metadata </li>
         <li> string "label" - Label of the channel </li>
         <li> string "name" - Name of the channel </li>
         <li> boolean "optional" - Channel is optional </li>
         <li> string "parent" - The label of the parent channel </li>
         <li> string "product_name" - Product name </li>
         <li> string "product_version" - Product version </li>
         <li> string "source_url" - Repository source URL </li>
         <li> string "status" - Status: available, unavailable or installed </li>
         <li> string "summary" - Channel summary </li>
         <li> string "update_tag" - Update tag </li>
         <li> boolean "installer_updates" - is an installer update channel </li>
   	</ul>
 
     </li></ul>
     array:
  <ul>
   <li>
       	     struct - extension product
	<ul>
             <li> string "friendly_name" - Friendly name of extension product </li>
             <li> string "arch" - Architecture </li>
             <li> string "status" - 'available', 'unavailable' or 'installed' </li>
         array:
  <ul>
   <li>
           

	     struct - channel
	<ul>
         <li> string "arch" - Architecture of the channel </li>
         <li> string "description" - Description of the channel </li>
         <li> string "family" - Channel family label </li>
         <li> boolean "is_signed" - Channel has signed metadata </li>
         <li> string "label" - Label of the channel </li>
         <li> string "name" - Name of the channel </li>
         <li> boolean "optional" - Channel is optional </li>
         <li> string "parent" - The label of the parent channel </li>
         <li> string "product_name" - Product name </li>
         <li> string "product_version" - Product version </li>
         <li> string "source_url" - Repository source URL </li>
         <li> string "status" - Status: available, unavailable or installed </li>
         <li> string "summary" - Channel summary </li>
         <li> string "update_tag" - Update tag </li>
         <li> boolean "installer_updates" - is an installer update channel </li>
   	</ul>
 
         </li></ul>
       	</ul>
     </li></ul>
         <li> boolean "recommended" - Recommended </li>
   	</ul>
 
                    </li></ul>
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="synchronizeChannelFamilies" href="#top">Method: synchronizeChannelFamilies</a></h3>
Description:<br />
Synchronize channel families between the Customer Center
             and the Uyuni database.
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey - Session token, issued at login
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="synchronizeChannels" href="#top">Method: synchronizeChannels</a></h3>
Description:<br />
(Deprecated) Synchronize channels between the Customer Center
             and the Uyuni database.
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey - Session token, issued at login
 </li>
<li>

    string mirrorUrl - Sync from mirror temporarily
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="synchronizeProducts" href="#top">Method: synchronizeProducts</a></h3>
Description:<br />
Synchronize SUSE products between the Customer Center
             and the Uyuni database.
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey - Session token, issued at login
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="synchronizeRepositories" href="#top">Method: synchronizeRepositories</a></h3>
Description:<br />
Synchronize repositories between the Customer Center
             and the Uyuni database.
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey - Session token, issued at login
 </li>
<li>

    string mirrorUrl - Optional mirror url or null
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="synchronizeSubscriptions" href="#top">Method: synchronizeSubscriptions</a></h3>
Description:<br />
Synchronize subscriptions between the Customer Center
             and the Uyuni database.
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey - Session token, issued at login
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />
</body>
</html>
