<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
maintenance
</p>
<p>Provides methods to access and modify Maintenance Schedules related entities</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#assignScheduleToSystems"/>assignScheduleToSystems</a></li>
<li><a href="#createCalendar"/>createCalendar</a></li>
<li><a href="#createCalendarWithUrl"/>createCalendarWithUrl</a></li>
<li><a href="#createSchedule"/>createSchedule</a></li>
<li><a href="#createSchedule"/>createSchedule</a></li>
<li><a href="#deleteCalendar"/>deleteCalendar</a></li>
<li><a href="#deleteSchedule"/>deleteSchedule</a></li>
<li><a href="#getCalendarDetails"/>getCalendarDetails</a></li>
<li><a href="#getScheduleDetails"/>getScheduleDetails</a></li>
<li><a href="#listCalendarLabels"/>listCalendarLabels</a></li>
<li><a href="#listScheduleNames"/>listScheduleNames</a></li>
<li><a href="#listSystemsWithSchedule"/>listSystemsWithSchedule</a></li>
<li><a href="#refreshCalendar"/>refreshCalendar</a></li>
<li><a href="#retractScheduleFromSystems"/>retractScheduleFromSystems</a></li>
<li><a href="#updateCalendar"/>updateCalendar</a></li>
<li><a href="#updateSchedule"/>updateSchedule</a></li>
</ul>
</div>
<hr />

<h3> <a name="assignScheduleToSystems" href="#top">Method: assignScheduleToSystems</a></h3>
Description:<br />
Assign schedule with given name to systems with given IDs.
 Throws a PermissionCheckFailureException when some of the systems are not accessible by the user.
 Throws a InvalidParameterException when some of the systems have pending actions that are not allowed in the
 maintenance mode.
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    string scheduleName - The schedule name
 </li>
<li>

array:
<ul>
    <li>int - system IDs</li>
</ul>
 </li>
<li>

array:
  <ul>
   <li>
                     <li> string "rescheduleStrategy" - Available: </li>
                   	<ul>
                     	<li>Cancel - Cancel actions which are outside of the maintenance windows</li>
                     	<li>Fail - Let assignment fail. No operation will be performed</li>
                   	</ul>
               </li></ul>
 </li>
</ul>
<p />
Returns:
<code><ul><li>


array:
<ul>
    <li>int - number of involved systems</li>
</ul>
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="createCalendar" href="#top">Method: createCalendar</a></h3>
Description:<br />
Create a new Maintenance Calendar
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    string label - Maintenance Calendar Label
 </li>
<li>

    string ical - ICal Calendar Data
 </li>
</ul>
<p />
Returns:
<code><ul><li>


array:
  <ul>
   <li>
 

	     struct - Maintenance Calendar information
	<ul>
   	<li> int "id"</li>
   	<li> int "orgId"</li>
   	<li> string "label"</li>
       <li> string "url" - calendar url if present </li>
   	<li> string "ical"</li>
 	</ul>
 
 </li></ul>
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="createCalendarWithUrl" href="#top">Method: createCalendarWithUrl</a></h3>
Description:<br />
Create a new Maintenance Calendar
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    string label - Maintenance Calendar Label
 </li>
<li>

    string url - download URL for ICal Calendar Data
 </li>
</ul>
<p />
Returns:
<code><ul><li>


array:
  <ul>
   <li>
 

	     struct - Maintenance Calendar information
	<ul>
   	<li> int "id"</li>
   	<li> int "orgId"</li>
   	<li> string "label"</li>
       <li> string "url" - calendar url if present </li>
   	<li> string "ical"</li>
 	</ul>
 
 </li></ul>
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="createSchedule" href="#top">Method: createSchedule</a></h3>
Description:<br />
Create a new Maintenance Schedule
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    string name - Maintenance Schedule Name
 </li>
<li>

    string type - Schedule type: single, multi
 </li>
</ul>
<p />
Returns:
<code><ul><li>


array:
  <ul>
   <li>
 

	     struct - Maintenance Schedule information
	<ul>
   	<li> int "id"</li>
   	<li> int "orgId"</li>
   	<li> string "name"</li>
   	<li> string "type"</li>
   

	     struct - Maintenance Calendar information
	<ul>
   	<li> int "id"</li>
   	<li> int "orgId"</li>
   	<li> string "label"</li>
       <li> string "url" - calendar url if present </li>
   	<li> string "ical"</li>
 	</ul>
 
 	</ul>
 
 </li></ul>
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="createSchedule" href="#top">Method: createSchedule</a></h3>
Description:<br />
Create a new Maintenance Schedule
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    string name - Maintenance Schedule Name
 </li>
<li>

    string type - Schedule type: single, multi
 </li>
<li>

    string calendar - Maintenance Calendar Label
 </li>
</ul>
<p />
Returns:
<code><ul><li>


array:
  <ul>
   <li>
 

	     struct - Maintenance Schedule information
	<ul>
   	<li> int "id"</li>
   	<li> int "orgId"</li>
   	<li> string "name"</li>
   	<li> string "type"</li>
   

	     struct - Maintenance Calendar information
	<ul>
   	<li> int "id"</li>
   	<li> int "orgId"</li>
   	<li> string "label"</li>
       <li> string "url" - calendar url if present </li>
   	<li> string "ical"</li>
 	</ul>
 
 	</ul>
 
 </li></ul>
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="deleteCalendar" href="#top">Method: deleteCalendar</a></h3>
Description:<br />
Remove a Maintenance Calendar
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    string label - Maintenance Calendar Label
 </li>
<li>

    boolean cancelScheduledActions - Cancel Actions of affected Schedules
 </li>
</ul>
<p />
Returns:
<code><ul><li>


array:
  <ul>
   <li>
       

	     struct - Reschedule information
	<ul>
       <li> string "strategy" - selected strategy </li>
   	<li> string "for_schedule_name"</li>
   	<li> boolean "status"</li>
   	<li> string "message"</li>
       <li>array "actions"
        <ul>
            <li>
     	     struct - Action information
	<ul>
           <li> int "id" - Action Id. </li>
           <li> string "name" - Action name. </li>
           <li> string "type" - Action type. </li>
           <li> string "scheduler" - The user that scheduled the action. (optional) </li>
           <li> dateTime.iso8601 "earliest" - The earliest date and time the action
       will be performed </li>
           <li> int "prerequisite" - ID of the prerequisite Action (optional) </li>
           <li>array "affected_system_ids"
        <ul>
            <li>int affected System Ids</li>
        </ul>
    </li>
           <li> string "details" - Action details string </li>
     	</ul>
              </li>
        </ul>
    </li>
 	</ul>
 
     </li></ul>
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="deleteSchedule" href="#top">Method: deleteSchedule</a></h3>
Description:<br />
Remove a Maintenance Schedule
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    string name - Maintenance Schedule Name
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="getCalendarDetails" href="#top">Method: getCalendarDetails</a></h3>
Description:<br />
Lookup a specific Maintenance Schedule
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    string label - Maintenance Calendar Label
 </li>
</ul>
<p />
Returns:
<code><ul><li>


array:
  <ul>
   <li>
 

	     struct - Maintenance Calendar information
	<ul>
   	<li> int "id"</li>
   	<li> int "orgId"</li>
   	<li> string "label"</li>
       <li> string "url" - calendar url if present </li>
   	<li> string "ical"</li>
 	</ul>
 
 </li></ul>
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="getScheduleDetails" href="#top">Method: getScheduleDetails</a></h3>
Description:<br />
Lookup a specific Maintenance Schedule
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    string name - Maintenance Schedule Name
 </li>
</ul>
<p />
Returns:
<code><ul><li>


array:
  <ul>
   <li>
 

	     struct - Maintenance Schedule information
	<ul>
   	<li> int "id"</li>
   	<li> int "orgId"</li>
   	<li> string "name"</li>
   	<li> string "type"</li>
   

	     struct - Maintenance Calendar information
	<ul>
   	<li> int "id"</li>
   	<li> int "orgId"</li>
   	<li> string "label"</li>
       <li> string "url" - calendar url if present </li>
   	<li> string "ical"</li>
 	</ul>
 
 	</ul>
 
 </li></ul>
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="listCalendarLabels" href="#top">Method: listCalendarLabels</a></h3>
Description:<br />
List Schedule Names visible to user
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
</ul>
<p />
Returns:
<code><ul><li>


array:
<ul>
    <li>string - maintenance calendar labels</li>
</ul>
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="listScheduleNames" href="#top">Method: listScheduleNames</a></h3>
Description:<br />
List Schedule Names visible to user
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
</ul>
<p />
Returns:
<code><ul><li>


array:
<ul>
    <li>string - maintenance schedule names</li>
</ul>
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="listSystemsWithSchedule" href="#top">Method: listSystemsWithSchedule</a></h3>
Description:<br />
List IDs of systems that have given schedule assigned
 Throws a PermissionCheckFailureException when some of the systems are not accessible by the user.
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    string scheduleName - The schedule name
 </li>
</ul>
<p />
Returns:
<code><ul><li>


array:
<ul>
    <li>int - system IDs</li>
</ul>
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="refreshCalendar" href="#top">Method: refreshCalendar</a></h3>
Description:<br />
Refresh Maintenance Calendar Data using the configured URL
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    string label - Maintenance Calendar Label
 </li>
<li>

array:
  <ul>
   <li>
                     <li> string "rescheduleStrategy" - Available: </li>
                   	<ul>
                     	<li>Cancel - Cancel actions which are outside of the maintenance windows</li>
                     	<li>Fail - Let update fail. The calendar stay untouched</li>
                   	</ul>
               </li></ul>
 </li>
</ul>
<p />
Returns:
<code><ul><li>


array:
  <ul>
   <li>
       

	     struct - Reschedule information
	<ul>
       <li> string "strategy" - selected strategy </li>
   	<li> string "for_schedule_name"</li>
   	<li> boolean "status"</li>
   	<li> string "message"</li>
       <li>array "actions"
        <ul>
            <li>
     	     struct - Action information
	<ul>
           <li> int "id" - Action Id. </li>
           <li> string "name" - Action name. </li>
           <li> string "type" - Action type. </li>
           <li> string "scheduler" - The user that scheduled the action. (optional) </li>
           <li> dateTime.iso8601 "earliest" - The earliest date and time the action
       will be performed </li>
           <li> int "prerequisite" - ID of the prerequisite Action (optional) </li>
           <li>array "affected_system_ids"
        <ul>
            <li>int affected System Ids</li>
        </ul>
    </li>
           <li> string "details" - Action details string </li>
     	</ul>
              </li>
        </ul>
    </li>
 	</ul>
 
     </li></ul>
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="retractScheduleFromSystems" href="#top">Method: retractScheduleFromSystems</a></h3>
Description:<br />
Retract schedule with given name from systems with given IDs
 Throws a PermissionCheckFailureException when some of the systems are not accessible by the user.
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

array:
<ul>
    <li>int - system IDs</li>
</ul>
 </li>
</ul>
<p />
Returns:
<code><ul><li>


array:
<ul>
    <li>int - number of involved systems</li>
</ul>
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="updateCalendar" href="#top">Method: updateCalendar</a></h3>
Description:<br />
Update a Maintenance Calendar
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    string label - Maintenance Calendar Label
 </li>
<li>

	     struct - Maintenance Calendar Details
	<ul>
             <li> string "ical" - new ical Calendar data </li>
             <li> string "url" - new Calendar URL </li>
     	</ul>
 </li>
<li>

array:
  <ul>
   <li>
                     <li> string "rescheduleStrategy" - Available: </li>
                   	<ul>
                     	<li>Cancel - Cancel actions which are outside of the maintenance windows</li>
                     	<li>Fail - Let update fail. The calendar stay untouched</li>
                   	</ul>
               </li></ul>
 </li>
</ul>
<p />
Returns:
<code><ul><li>


array:
  <ul>
   <li>
       

	     struct - Reschedule information
	<ul>
       <li> string "strategy" - selected strategy </li>
   	<li> string "for_schedule_name"</li>
   	<li> boolean "status"</li>
   	<li> string "message"</li>
       <li>array "actions"
        <ul>
            <li>
     	     struct - Action information
	<ul>
           <li> int "id" - Action Id. </li>
           <li> string "name" - Action name. </li>
           <li> string "type" - Action type. </li>
           <li> string "scheduler" - The user that scheduled the action. (optional) </li>
           <li> dateTime.iso8601 "earliest" - The earliest date and time the action
       will be performed </li>
           <li> int "prerequisite" - ID of the prerequisite Action (optional) </li>
           <li>array "affected_system_ids"
        <ul>
            <li>int affected System Ids</li>
        </ul>
    </li>
           <li> string "details" - Action details string </li>
     	</ul>
              </li>
        </ul>
    </li>
 	</ul>
 
     </li></ul>
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="updateSchedule" href="#top">Method: updateSchedule</a></h3>
Description:<br />
Update a Maintenance Schedule
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    string name - Maintenance Schedule Name
 </li>
<li>

	     struct - Maintenance Schedule Details
	<ul>
             <li> string "type" - new Schedule Type </li>
           	<ul>
               	<li>single</li>
               	<li>multi</li>
           	</ul>
             <li> string "calendar" - new calendar label </li>
     	</ul>
 </li>
<li>

array:
  <ul>
   <li>
                     <li> string "rescheduleStrategy" - Available: </li>
                   	<ul>
                     	<li>Cancel - Cancel actions which are outside of the maintenance windows</li>
                     	<li>Fail - Let update fail. The calendar stay untouched</li>
                   	</ul>
               </li></ul>
 </li>
</ul>
<p />
Returns:
<code><ul><li>




	     struct - Reschedule information
	<ul>
       <li> string "strategy" - selected strategy </li>
   	<li> string "for_schedule_name"</li>
   	<li> boolean "status"</li>
   	<li> string "message"</li>
       <li>array "actions"
        <ul>
            <li>
     	     struct - Action information
	<ul>
           <li> int "id" - Action Id. </li>
           <li> string "name" - Action name. </li>
           <li> string "type" - Action type. </li>
           <li> string "scheduler" - The user that scheduled the action. (optional) </li>
           <li> dateTime.iso8601 "earliest" - The earliest date and time the action
       will be performed </li>
           <li> int "prerequisite" - ID of the prerequisite Action (optional) </li>
           <li>array "affected_system_ids"
        <ul>
            <li>int affected System Ids</li>
        </ul>
    </li>
           <li> string "details" - Action details string </li>
     	</ul>
              </li>
        </ul>
    </li>
 	</ul>
  
 
</li></ul>
</code>
<p />
<hr />
</body>
</html>
