<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
system.provisioning.powermanagement
</p>
<p>Provides methods to access and modify power management for systems.
 Some functions exist in 2 variants. Either with server id or with a name.
 The function with server id is useful when a system exists with a full profile.
 Everybody allowed to manage that system can execute these functions.
 The variant with name expects a cobbler system name prefix. These functions
 enhance the name by adding the org id of the user to limit access to systems
 from the own organization. Additionally Org Admin permissions are required to
 call these functions.</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#getDetails"/>getDetails</a></li>
<li><a href="#getDetails"/>getDetails</a></li>
<li><a href="#getStatus"/>getStatus</a></li>
<li><a href="#getStatus"/>getStatus</a></li>
<li><a href="#listTypes"/>listTypes</a></li>
<li><a href="#powerOff"/>powerOff</a></li>
<li><a href="#powerOff"/>powerOff</a></li>
<li><a href="#powerOn"/>powerOn</a></li>
<li><a href="#powerOn"/>powerOn</a></li>
<li><a href="#reboot"/>reboot</a></li>
<li><a href="#reboot"/>reboot</a></li>
<li><a href="#setDetails"/>setDetails</a></li>
<li><a href="#setDetails"/>setDetails</a></li>
</ul>
</div>
<hr />

<h3> <a name="getDetails" href="#top">Method: getDetails</a></h3>
Description:<br />
Get current power management settings of the given system
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
<li>

    int serverId
 </li>
</ul>
<p />
Returns:
<code><ul><li>


	     struct - powerManagementParameters
	<ul>
        <li> string "powerType" - Power management type </li>
        <li> string "powerAddress" - IP address for power management </li>
        <li> string "powerUsername" - The Username </li>
        <li> string "powerPassword" - The Password </li>
        <li> string "powerId" - Identifier </li>
  	</ul>
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="getDetails" href="#top">Method: getDetails</a></h3>
Description:<br />
Get current power management settings of the given system
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
<li>

    string name
 </li>
</ul>
<p />
Returns:
<code><ul><li>


	     struct - powerManagementParameters
	<ul>
        <li> string "powerType" - Power management type </li>
        <li> string "powerAddress" - IP address for power management </li>
        <li> string "powerUsername" - The Username </li>
        <li> string "powerPassword" - The Password </li>
        <li> string "powerId" - Identifier </li>
  	</ul>
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="getStatus" href="#top">Method: getStatus</a></h3>
Description:<br />
Execute powermanagement actions
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
<li>

    int serverId
 </li>
<li>

    string action
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    boolean status - True when power is on, otherwise False
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="getStatus" href="#top">Method: getStatus</a></h3>
Description:<br />
Execute powermanagement actions
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
<li>

    string name
 </li>
<li>

    string action
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    boolean status - True when power is on, otherwise False
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="listTypes" href="#top">Method: listTypes</a></h3>
Description:<br />
Return a list of available power management types
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
</ul>
<p />
Returns:
<code><ul><li>


array:
<ul>
    <li>string - power management types</li>
</ul>
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="powerOff" href="#top">Method: powerOff</a></h3>
Description:<br />
Execute power management action 'powerOff'
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
<li>

    int serverId
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="powerOff" href="#top">Method: powerOff</a></h3>
Description:<br />
Execute power management action 'powerOff'
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
<li>

    string name
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="powerOn" href="#top">Method: powerOn</a></h3>
Description:<br />
Execute power management action 'powerOn'
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
<li>

    int serverId
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="powerOn" href="#top">Method: powerOn</a></h3>
Description:<br />
Execute power management action 'powerOn'
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
<li>

    string name
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="reboot" href="#top">Method: reboot</a></h3>
Description:<br />
Execute power management action 'Reboot'
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
<li>

    int serverId
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="reboot" href="#top">Method: reboot</a></h3>
Description:<br />
Execute power management action 'Reboot'
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
<li>

    string name
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="setDetails" href="#top">Method: setDetails</a></h3>
Description:<br />
Get current power management settings of the given system
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
<li>

    int serverId
 </li>
<li>

	     struct - data
	<ul>
        <li> string "powerType" - Power management type </li>
        <li> string "powerAddress" - IP address for power management </li>
        <li> string "powerUsername" - The Username </li>
        <li> string "powerPassword" - The Password </li>
        <li> string "powerId" - Identifier </li>
  	</ul>
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="setDetails" href="#top">Method: setDetails</a></h3>
Description:<br />
Get current power management settings of the given system
<p />




Parameters:<br />
<ul>
<li>

    string sessionKey
 </li>
<li>

    string name
 </li>
<li>

	     struct - data
	<ul>
        <li> string "powerType" - Power management type </li>
        <li> string "powerAddress" - IP address for power management </li>
        <li> string "powerUsername" - The Username </li>
        <li> string "powerPassword" - The Password </li>
        <li> string "powerId" - Identifier </li>
  	</ul>
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int - 1 on success, exception thrown otherwise.
 
</li></ul>
</code>
<p />
<hr />
</body>
</html>
