<html>
<head>
<meta http-equiv="cache-control" content="no-cache" />

<style type="text/css">
ul.apidoc {
   list-style-image: url('/img/parent_node.gif');
}

.deprecated {
   text-decoration: line-through;
}
</style>
</head>
<body>
<div class="spacewalk-toolbar-h1">
<h1><i class="fa fa-gears"></i>API Overview</h1>
</div>

<h2>Description</h2>
<p><strong>Namespace</strong>:
recurringaction
</p>
<p>Provides methods to handle Recurring Actions for Minions, Groups and Organizations.</p>
<span class="small-text">( <a href="/rhn/apidoc/index.jsp">Return to API Overview</a> )</span>
<hr />

<div class="rounded-box">
<h2><a name="top">Available methods</a></h2>
<ul class="apidoc">

<li><a href="#create"/>create</a></li>
<li><a href="#delete"/>delete</a></li>
<li><a href="#listByEntity"/>listByEntity</a></li>
<li><a href="#lookupById"/>lookupById</a></li>
<li><a href="#update"/>update</a></li>
</ul>
</div>
<hr />

<h3> <a name="create" href="#top">Method: create</a></h3>
Description:<br />
Create a new recurring action.
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

	     struct - actionProps
	<ul>
          <li> string "entity_type" - The type of the target entity. One of the following: </li>
        	<ul>
          	<li>MINION</li>
          	<li>GROUP</li>
          	<li>ORG</li>
        	</ul>
          <li> int "entity_id" - The id of the target entity </li>
          <li> string "name" - The name of the action </li>
          <li> string "cron_expr" - The execution frequency of the action </li>
          <li> boolean "test" - Whether the action should be executed in test mode (optional) </li>
  	</ul>
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int id - The id of the recurring action
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="delete" href="#top">Method: delete</a></h3>
Description:<br />
Delete recurring action with given action id.
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    int actionId - Id of the action
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int id - The id of the recurring action
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="listByEntity" href="#top">Method: listByEntity</a></h3>
Description:<br />
Return a list of recurring actions for a given entity.
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    string entityType - Type of the target entity. Can be MINION, GROUP or ORG.
 </li>
<li>

    int entityId - Id of the target entity
 </li>
</ul>
<p />
Returns:
<code><ul><li>


array:
  <ul>
   <li>
          

	     struct - Recurring Action information
	<ul>
   	<li> int "id"</li>
   	<li> string "name"</li>
   	<li> int "entity_id"</li>
   	<li> string "entity_type"</li>
   	<li> string "cron_expr"</li>
   	<li> dateTime.iso8601 "created"</li>
   	<li> string "creator"</li>
   	<li> boolean "test"</li>
   	<li> boolean "active"</li>
 	</ul>
 
      </li></ul>
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="lookupById" href="#top">Method: lookupById</a></h3>
Description:<br />
Return recurring action with given action id.
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

    int actionId - Id of the action
 </li>
</ul>
<p />
Returns:
<code><ul><li>




	     struct - Recurring Action information
	<ul>
   	<li> int "id"</li>
   	<li> string "name"</li>
   	<li> int "entity_id"</li>
   	<li> string "entity_type"</li>
   	<li> string "cron_expr"</li>
   	<li> dateTime.iso8601 "created"</li>
   	<li> string "creator"</li>
   	<li> boolean "test"</li>
   	<li> boolean "active"</li>
 	</ul>
  
 
</li></ul>
</code>
<p />
<hr />

<h3> <a name="update" href="#top">Method: update</a></h3>
Description:<br />
Update a recurring action.
<p />




Parameters:<br />
<ul>
<li>

        string sessionKey
 </li>
<li>

	     struct - actionProps
	<ul>
          <li> int "id" - The id of the action to update </li>
          <li> string "name" - The name of the action (optional) </li>
          <li> string "cron_expr" - The execution frequency of the action (optional) </li>
          <li> boolean "test" - Whether the action should be executed in test mode (optional) </li>
          <li> boolean "active" - Whether the action should be active (optional) </li>
  	</ul>
 </li>
</ul>
<p />
Returns:
<code><ul><li>


    int id - The id of the recurring action
 
</li></ul>
</code>
<p />
<hr />
</body>
</html>
